### File

`packages/components/eui-autocomplete/testing/eui-autocomplete-async-test.component.ts`

### Implements

`OnInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
selector | `eui-autocomplete-test-component`
imports | `EuiAutocompleteComponent` `FormsModule` `ReactiveFormsModule`
template |
    <form [formGroup]="form">       <eui-autocomplete
               #autocomplete
               isAsync
               formControlName="autocomplete"
               [autocompleteData]="autocompleteDataFormAutocomplete">
           </eui-autocomplete>
           <input class="default-formcontrol" type="text" formControlName="text" />
       </form>

### Index

###### Properties
autocomplete Public autocompleteDataFormAutocomplete Public form

### Properties

autocomplete
Type : `EuiAutocompleteComponent`
Decorators : `@ViewChild('autocomplete')`

Public autocompleteDataFormAutocomplete
Type : `[]`
Default value : `[]`

Public form
Type : `FormGroup`

# results matching ""

# No results matching ""